<?php

// ---- library references
include_once('../library/framework/awsCore.inc.php');
include_once('../library/framework/systemNumber.inc.php');
include_once('project.inc.php');


class formProject
{
	function _construct()
	{	
		awsCore::startHtmlPage('Project Phase');
	}
	
	
	function _destruct()
	{
		awsCore::closeHtmlPage();	
	}
	
	public static function AddProject($event='new', $code = 'none')
	/*
	---------------------------------------------------------------------------
	 AddProject()
	---------------------------------------------------------------------------
	 Form to add new project
	---------------------------------------------------------------------------   
    */ 
	{
        $project = new project();
        
        if ($code != 'none')
        {
            $project->listRecord($code);
        }

?>
<div id="formContainer">
<form  method="post" enctype="application/x-www-form-urlencoded" class="form-horizontal" role="form" 
      action="<?php echo $_SERVER['PHP_SELF'].'?mod=project&action=save'; ?>" name="formProject" id="formProject">
<?php awsCore::getFormHeader('Project Activity', 'Add Project', false, false); ?>
<ul class="nav nav-tabs" role="tablist">
  <li class="active"><a href="#projectActivity">Project</a></li>
  <li><a href="#projectPhoto">Photo</a></li>
  <li><a href="#projectLocation">Location</a></li>
  <li><a href="#projectComponent">Components</a></li>
</ul>  
    
<div id="myTabContent" class="tab-content">
<section id="projectActivity" class="tab-pane fade active in" >  
<div class="row" style="padding-top:5px">
  <div class="col-xs-12">
    <div class="panel panel-info">
    <div class="panel-body">
      <article class="col-md-12">
      <!-- Project Code field -->
      <div class="form-group col-xs-2">
        <label for="txtProjCode">Project Code</label>
        <input type="text" class="form-control" id="txtProjCode" name="txtProjCode" placeholder="Code" readonly="readonly" 
        value="<?php if($event == 'new'){print SystemNumber::getSystemNumber('PROJECT');} ?>">
      </div>
      <!-- Project Name field -->
      <div class="form-group col-xs-10" style="margin-left:5px">
        <label for="txtProjTitle">Project Title</label>
        <input type="text" class="form-control" id="txtProjTitle" name="txtProjTitle" placeholder="Project Title"
        value="<?php if ($event != 'new') {echo $project->sProjTitle; }?>">
      </div>
      <!-- Project Desc field -->
      <div class="form-group col-xs-12">
        <label for="txtProjDO">Project Development Objectives</label>
        <textarea rows="3" name="txtProjDO" id="txtProjDO" class="form-control"><?php if ($event != 'new') {echo $project->sProjPdo; }?></textarea>
      </div>
      </article>
      <div style="clear:both; width:100%; margin:0">
        <hr/>
      </div>
      <article class="col-md-12">
      <!-- Project Amount field -->
      <div class="form-group col-md-3">
        <label for="txtProjAmount">Project Amount</label>
        <input type="number" class="form-control" id="txtProjAmount" name="txtProjAmount" placeholder="Project Amount" style="width:90%"
        value="<?php if ($event != 'new') {echo $project->sProjAmount; }?>">
      </div>
      <!-- Implementing Agency field -->
      <div class="form-group col-md-3">
        <label for="cboImpAgency">Implementing Agency</label>
         <?php ($event=='edit')?awsCore::bindCombo('cboImpAgency', awsCore::getQuery('PROJECT_STATUS'), $project->sProjStatus):awsCore::bindCombo('cboImpAgency', awsCore::getQuery('PROJECT_STATUS')); ?>
      </div>
      <!-- Status field -->
      <div class="form-group col-md-3">
        <label for="cboProjStatus">Project Status</label>
         <?php ($event=='edit')?awsCore::bindCombo('cboProjStatus', awsCore::getQuery('PROJECT_STATUS'), $project->sProjStatus):awsCore::bindCombo('cboProjStatus', awsCore::getQuery('PROJECT_STATUS')); ?>
      </div>
      <!-- Type field -->
      <div class="form-group col-md-3">
        <label for="cboProjType">Project Type</label>
         <?php ($event=='edit')?awsCore::bindCombo('cboProjType', awsCore::getQuery('PROJECT_TYPE'), $project->sProjType):awsCore::bindCombo('cboProjType', awsCore::getQuery('PROJECT_TYPE')); ?>
      </div>
      </article>
      <div style="clear:both; width:100%; margin:0">
        <hr/>
      </div>
      <article class="col-md-12">
      <!-- Approval Date field -->
      <div class="form-group col-md-4">
        <label for="dateApproval">Approval Date</label>
        <input type="date" class="form-control" id="dateApproval" name="dateApproval" placeholder="Approval Date" style="width:90%"
        value="<?php if ($event != 'new') {echo $project->sApprovalDate; }?>">
      </div>
      <!-- Effectiveness Date field -->
      <div class="form-group col-md-4">
        <label for="dateEffective">Effectiveness Date</label>
        <input type="date" class="form-control" id="dateEffective" name="dateEffective" placeholder="Effective Date" style="width:90%"
        value="<?php if ($event != 'new') {echo $project->sEffectiveDate; }?>">
      </div>
      <!-- Closing Date field -->
      <div class="form-group col-md-4">
        <label for="dateClosing">Closing Date</label>
        <input type="date" class="form-control" id="dateClosing" name="dateClosing" placeholder="Closing Date" style="width:90%"
        value="<?php if ($event != 'new') {echo $project->sClosingDate; }?>">
      </div>
      </article>
      <div style="clear:both; width:100%; margin:0">
        <hr/>
      </div>
      <article class="col-md-12">
      <!-- Project Summary field -->
      <div class="form-group col-xs-12">
        <label for="txtProjSummary">Project Summary</label>
        <textarea rows="3" name="txtProjSummary" id="txtProjSummary" class="form-control" ><?php if ($event != 'new') {echo $project->sProjSummary; }?></textarea>
      </div> 
      </article>
    </div>
    </div>
  </div>
</div>
</section>
<section class="tab-pane" id="projectPhoto">Photo
    <div class="container">
        <br>
        <!-- The file upload form used as target for the file upload widget -->
        <form id="fileupload" action="//jquery-file-upload.appspot.com/" method="POST" enctype="multipart/form-data">
            <!-- Redirect browsers with JavaScript disabled to the origin page -->
            <noscript><input type="hidden" name="redirect" value="http://blueimp.github.io/jQuery-File-Upload/"></noscript>
            <!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
            <div class="row fileupload-buttonbar">
                <div class="col-lg-7">
                    <!-- The fileinput-button span is used to style the file input field as button -->
                    <span class="btn btn-success fileinput-button">
                        <i class="glyphicon glyphicon-plus"></i>
                        <span>Add files...</span>
                        <input type="file" name="files[]" multiple>
                    </span>
                    <button type="submit" class="btn btn-primary start">
                        <i class="glyphicon glyphicon-upload"></i>
                        <span>Start upload</span>
                    </button>
                    <button type="reset" class="btn btn-warning cancel">
                        <i class="glyphicon glyphicon-ban-circle"></i>
                        <span>Cancel upload</span>
                    </button>
                    <button type="button" class="btn btn-danger delete">
                        <i class="glyphicon glyphicon-trash"></i>
                        <span>Delete</span>
                    </button>
                    <input type="checkbox" class="toggle">
                    <!-- The global file processing state -->
                    <span class="fileupload-process"></span>
                </div>
                <!-- The global progress state -->
                <div class="col-lg-5 fileupload-progress fade">
                    <!-- The global progress bar -->
                    <div class="progress progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100">
                        <div class="progress-bar progress-bar-success" style="width:0%;"></div>
                    </div>
                    <!-- The extended global progress state -->
                    <div class="progress-extended">&nbsp;</div>
                </div>
            </div>
            <!-- The table listing the files available for upload/download -->
            <table role="presentation" class="table table-striped"><tbody class="files"></tbody></table>
        </form>
        <br>

    </div>
</section>
<section class="tab-pane"  id="projectLocation">Location
</section>
<section class="tab-pane"  id="projectComponent">Components
</section>
</div>
</form>
</div>
<!--end of formContainer-->

<!-- The template to display files available for upload -->
<script id="template-upload" type="text/x-tmpl">
{% for (var i=0, file; file=o.files[i]; i++) { %}
    <tr class="template-upload fade">
        <td>
            <span class="preview"></span>
        </td>
        <td>
            <p class="name">{%=file.name%}</p>
            <strong class="error text-danger"></strong>
        </td>
        <td>
            <p class="size">Processing...</p>
            <div class="progress progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0"><div class="progress-bar progress-bar-success" style="width:0%;"></div></div>
        </td>
        <td>
            {% if (!i && !o.options.autoUpload) { %}
                <button class="btn btn-primary start" disabled>
                    <i class="glyphicon glyphicon-upload"></i>
                    <span>Start</span>
                </button>
            {% } %}
            {% if (!i) { %}
                <button class="btn btn-warning cancel">
                    <i class="glyphicon glyphicon-ban-circle"></i>
                    <span>Cancel</span>
                </button>
            {% } %}
        </td>
    </tr>
{% } %}
</script>
<!-- The template to display files available for download -->
<script id="template-download" type="text/x-tmpl">
{% for (var i=0, file; file=o.files[i]; i++) { %}
    <tr class="template-download fade">
        <td>
            <span class="preview">
                {% if (file.thumbnailUrl) { %}
                    <a href="{%=file.url%}" title="{%=file.name%}" download="{%=file.name%}" data-gallery><img src="{%=file.thumbnailUrl%}"></a>
                {% } %}
            </span>
        </td>
        <td>
            <p class="name">
                {% if (file.url) { %}
                    <a href="{%=file.url%}" title="{%=file.name%}" download="{%=file.name%}" {%=file.thumbnailUrl?'data-gallery':''%}>{%=file.name%}</a>
                {% } else { %}
                    <span>{%=file.name%}</span>
                {% } %}
            </p>
            {% if (file.error) { %}
                <div><span class="label label-danger">Error</span> {%=file.error%}</div>
            {% } %}
        </td>
        <td>
            <span class="size">{%=o.formatFileSize(file.size)%}</span>
        </td>
        <td>
            {% if (file.deleteUrl) { %}
                <button class="btn btn-danger delete" data-type="{%=file.deleteType%}" data-url="{%=file.deleteUrl%}"{% if (file.deleteWithCredentials) { %} data-xhr-fields='{"withCredentials":true}'{% } %}>
                    <i class="glyphicon glyphicon-trash"></i>
                    <span>Delete</span>
                </button>
                <input type="checkbox" name="delete" value="1" class="toggle">
            {% } else { %}
                <button class="btn btn-warning cancel">
                    <i class="glyphicon glyphicon-ban-circle"></i>
                    <span>Cancel</span>
                </button>
            {% } %}
        </td>
    </tr>
{% } %}
</script>
<!--<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>-->
<!-- The jQuery UI widget factory, can be omitted if jQuery UI is already included -->
<script src="js/vendor/jquery.ui.widget.js"></script>
<!-- The Templates plugin is included to render the upload/download listings -->
<script src="http://blueimp.github.io/JavaScript-Templates/js/tmpl.min.js"></script>
<!-- The Load Image plugin is included for the preview images and image resizing functionality -->
<script src="http://blueimp.github.io/JavaScript-Load-Image/js/load-image.min.js"></script>
<!-- The Canvas to Blob plugin is included for image resizing functionality -->
<script src="http://blueimp.github.io/JavaScript-Canvas-to-Blob/js/canvas-to-blob.min.js"></script>
<!-- Bootstrap JS is not required, but included for the responsive demo navigation -->
<!--<script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>-->
<!-- blueimp Gallery script -->
<script src="http://blueimp.github.io/Gallery/js/jquery.blueimp-gallery.min.js"></script>
<!-- The Iframe Transport is required for browsers without support for XHR file uploads -->
<script src="../library/js/JFileUpload/js/jquery.iframe-transport.js"></script>
<!-- The basic File Upload plugin -->
<script src="../library/js/JFileUpload/js/jquery.fileupload.js"></script>
<!-- The File Upload processing plugin -->
<script src="../library/js/JFileUpload/js/jquery.fileupload-process.js"></script>
<!-- The File Upload image preview & resize plugin -->
<script src="../library/js/JFileUpload/js/jquery.fileupload-image.js"></script>
<!-- The File Upload audio preview plugin -->
<script src="../library/js/JFileUpload/js/jquery.fileupload-audio.js"></script>
<!-- The File Upload video preview plugin -->
<script src="../library/js/JFileUpload/js/jquery.fileupload-video.js"></script>
<!-- The File Upload validation plugin -->
<script src="../library/js/JFileUpload/js/jquery.fileupload-validate.js"></script>
<!-- The File Upload user interface plugin -->
<script src="../library/js/JFileUpload/js/jquery.fileupload-ui.js"></script>
<!-- The main application script -->
<script src="../library/js/JFileUpload/js/main.js"></script>
<!-- The XDomainRequest Transport is included for cross-domain file deletion for IE 8 and IE 9 -->
<!--[if (gte IE 8)&(lt IE 10)]>
<script src="js/cors/jquery.xdr-transport.js"></script>
<![endif]-->

<?php
	}
    
    
    public static function AddPhase($event='new')
    /*
	---------------------------------------------------------------------------
	 AddPhase()
	---------------------------------------------------------------------------
	 Form to add new phase to project
	---------------------------------------------------------------------------   
    */ 
    {
?>
<div id="formContainer">
<form  method="post" enctype="application/x-www-form-urlencoded" class="form-horizontal" role="form"
      action="<?php echo $_SERVER['PHP_SELF'].'?mod=phase&action=save'; ?>" name="formPhase" id="formPhase">
<?php awsCore::getFormHeader('Project Phase', 'Add Phase'); ?> 
    <section>
        <div class="panel panel-info">
            <div class="panel-heading">
                <b>Project Info</b>
            </div>
            <div class="panel-body">
              <!-- Project Code field -->
              <div class="form-group col-xs-3" style="margin-right:5px">
                <label for="txtProjCode">Project Code</label>
                <input type="text" class="form-control" id="txtProjCode" placeholder="Code" readonly="readonly">
              </div>
              <!-- Project Name field -->
              <div class="form-group col-xs-9">
                <label for="txtProjName">Project Name</label>
                <input type="text" class="form-control" id="txtProjName" placeholder="Project Name" readonly="readonly">
              </div>
            </div>
        </div>
     <div class="panel panel-primary">
         <div class="panel-heading">
            <b>Project Phase Details</b>
         </div>
        <div class="panel-body">
        <!-- Phase Code field -->
      <div class="form-group col-xs-3" style="margin-right:5px">
        <label for="txtPhaseCode">Phase Code</label>
        <input type="text" class="form-control" id="txtPhaseCode" name="txtPhaseCode" placeholder="Code" readonly="readonly">
      </div>
      <!-- Project Name field -->
      <div class="form-group col-xs-9">
        <label for="txtPhaseTitle">Phase Title</label>
        <input type="text" class="form-control" id="txtPhaseTitle" placeholder="Phase Title">
      </div>
      <!-- Phase Desc field -->
      <div class="form-group col-xs-12">
        <label for="txtPhaseDesc">Phase Description</label>
        <textarea rows="3" name="txtPhaseDesc" id="txtPhaseDesc" class="form-control" ></textarea>
      </div>
      <!-- Start Date field -->
      <div class="form-group col-xs-3">
        <label for="dateStart">Start Date</label>
        <input type="date" class="form-control" id="dateStart" name="dateStart" placeholder="Start Date" style="width:90%">
      </div>
      <!-- End Date field -->
      <div class="form-group col-xs-3">
        <label for="dateEnd">End Date</label>
        <input type="date" class="form-control" id="dateEnd" name="dateEnd" placeholder="End Date" style="width:90%">
      </div>
      <!-- Status field -->
      <div class="form-group col-xs-3">
        <label for="cboPhaseStatus">Status of this Phase</label>
        <select id="cboPhaseStatus" name="cboPhaseStatus" class="form-control" style="width:90%"></select>
      </div>
      <!-- Delivery Rate field -->
      <div class="form-group col-xs-3">
        <label for="deliveryRate">Delivery Rate</label>
        <input type="number" class="form-control" id="deliveryRate" name="deliveryRate" placeholder="Delivery Rate" min="0" max="100" >
      </div>
      <!-- Phase Remarks field -->
      <div class="form-group col-xs-12">
        <label for="txtPhaseRemarks">Phase Remarks</label>
        <textarea rows="3" name="txtPhaseRemarks" id="txtPhaseRemarks" class="form-control" ></textarea>
      </div>
      </div>
    </div>
    </section>
    
</form>
</div>
<?php 
    }
    
    public static function AddTask()
    /*
	---------------------------------------------------------------------------
	 AddTask()
	---------------------------------------------------------------------------
	 Form to add new task for phase
	---------------------------------------------------------------------------   
    */ 
        
    {
?>
    <div id="formContainer">
<form  method="post" enctype="application/x-www-form-urlencoded" class="form-horizontal" role="form">
<?php awsCore::getFormHeader('Project Task', 'Add Task', false, false); ?> 
    <section>
        <div class="panel panel-info">
            <div class="panel-heading">
                <b>Phase Info</b>
            </div>
            <div class="panel-body">
              <!-- Project Code field -->
              <div class="form-group col-xs-3" style="margin-right:5px">
                <label for="txtPhaseCode">Phase Code</label>
                <input type="text" class="form-control" id="txtPhaseCode" name="txtPhaseCode" placeholder="Code" readonly="readonly">
              </div>
              <!-- Project Name field -->
              <div class="form-group col-xs-9">
                <label for="txtPhaseTitle">Phase Title</label>
                <input type="text" class="form-control" id="txtPhaseTitle" name="txtPhaseTitle" placeholder="Phase Title" readonly="readonly">
              </div>
            </div>
        </div>
     <div class="panel panel-primary">
         <div class="panel-heading">
            <b>Project Task Details</b>
         </div>
        <div class="panel-body">
        <!-- Task Code field -->
      <div class="form-group col-xs-3" style="margin-right:5px">
        <label for="txtTaskCode">Task Code</label>
        <input type="text" class="form-control" id="txtTaskCode" name="txtTaskCode" placeholder="Code" readonly="readonly">
      </div>
      <!-- Task Title field -->
      <div class="form-group col-xs-9">
        <label for="txtTaskTitle">Task Title</label>
        <input type="text" class="form-control" id="txtTaskTitle" name="txtTaskTitle" placeholder="Task Title">
      </div>
      <!-- Task Desc field -->
      <div class="form-group col-xs-12">
        <label for="txtTaskDesc">Task Description</label>
        <textarea rows="3" name="txtTaskDesc" id="txtTaskDesc" class="form-control" ></textarea>
      </div>
      <!-- Start Date field -->
      <div class="form-group col-xs-3">
        <label for="dateStart">Start Date</label>
        <input type="date" class="form-control" id="dateStart" name="dateStart" placeholder="Start Date" style="width:90%">
      </div>
      <!-- End Date field -->
      <div class="form-group col-xs-3">
        <label for="dateEnd">End Date</label>
        <input type="date" class="form-control" id="dateEnd" name="dateEnd" placeholder="End Date" style="width:90%">
      </div>
      <!-- Status field -->
      <div class="form-group col-xs-3">
        <label for="cboTaskStatus">Status of this Task</label>
        <select id="cboTaskStatus" name="cboTaskStatus" class="form-control" style="width:90%"></select>
      </div>
      <!-- Delivery Rate field -->
      <div class="form-group col-xs-3">
        <label for="deliveryRate">Delivery Rate</label>
        <input type="number" class="form-control" id="deliveryRate" name="deliveryRate" placeholder="Delivery Rate" min="0" max="100" >
      </div>
      <!-- Phase Remarks field -->
      <div class="form-group col-xs-12">
        <label for="txtTaskRemarks">Task Remarks</label>
        <textarea rows="3" name="txtTaskRemarks" id="txtTaskRemarks" class="form-control" ></textarea>
      </div>
      </div>
    </div>
    </section>
    
</form>
</div>
<?php
    }
    
    
    
    public static function AddContractor()
    {
?>
<div id="formContainer">
<form  method="post" enctype="application/x-www-form-urlencoded" class="form-horizontal" role="form">
<?php awsCore::getFormHeader('Implementing Agency', 'Add Contractor', false, false); ?>
    <form class="form-horizontal" role="form">
      <div class="form-group">
        <label for="txtContractorCode" class="col-sm-2 control-label">Contractor Code</label>
        <div class="col-sm-2">
          <input type="text" class="form-control" id="txtContractorCode" name="txtContractorCode" placeholder="Code" readonly="readonly">
        </div>
      </div>
      <div class="form-group">
        <label for="txtCompanyName" class="col-sm-2 control-label">Name of Firm :</label>
        <div class="col-sm-4">
          <input type="text" class="form-control" id="txtCompanyName" name="txtCompanyName" placeholder="Name of Firm">
        </div>
      </div>
      <div class="form-group">
        <label for="txtProfile" class="col-sm-2 control-label">Corporate Profile :</label>
        <div class="col-sm-4">
            <textarea name="txtProfile" id="txtProfile" placeholder="Corporate Profile" class="form-control" rows="3"></textarea>
        </div>
      </div>
      <div style="clear:both; width:50%; margin:0">
        <hr/>
      </div>
      <div class="form-group">
        <label for="txtAddress" class="col-sm-2 control-label">Address of Firm :</label>
        <div class="col-sm-4">
            <textarea name="txtAddress" id="txtAddress" placeholder="Address Of Firm" class="form-control" rows="3"></textarea>
        </div>
      </div>
      <div class="form-group">
        <label for="cboCountry" class="col-sm-2 control-label">Country :</label>
        <div class="col-sm-4">
          <select name="cboCountry" id="cboCountry" class="form-control"></select>
        </div>
      </div>
      <div class="form-group">
        <label for="cboCity" class="col-sm-2 control-label">City :</label>
        <div class="col-sm-4">
          <select name="cboCity" id="cboCity" class="form-control"></select>
        </div>
      </div>
      <div class="form-group">
        <label for="txtPhone" class="col-sm-2 control-label">Telephone :</label>
        <div class="col-sm-4">
          <input type="text" class="form-control" id="txtPhone" name="txtPhone" placeholder="Telephone">
        </div>
      </div>
      <div class="form-group">
        <label for="txtWebsite" class="col-sm-2 control-label">Website :</label>
        <div class="col-sm-4">
          <input type="url" class="form-control" id="txtWebsite" name="txtWebsite" placeholder="Website">
        </div>
      </div>
      <div style="clear:both; width:50%; margin:0">
        <hr/>
      </div>
      <div class="form-group">
        <label for="txtContactName" class="col-sm-2 control-label">Contact Name :</label>
        <div class="col-sm-4">
          <input type="text" class="form-control" id="txtContactName" name="txtContactName" placeholder="Contact Name">
        </div>
      </div>
      <div class="form-group">
        <label for="txtContactPhone" class="col-sm-2 control-label">Contact Phone :</label>
        <div class="col-sm-4">
          <input type="tel" class="form-control" id="txtContactPhone" name="txtContactPhone" placeholder="Contact Phone">
        </div>
      </div>
      <div class="form-group">
        <label for="txtContactEmail" class="col-sm-2 control-label">Contact Email :</label>
        <div class="col-sm-4">
          <input type="email" class="form-control" id="txtContactEmail" name="txtContactEmail" placeholder="Contact E-mail">
        </div>
      </div>
    </form>
</div>
<?php
    }
    
    
    public static function AddProj()
    /*
	---------------------------------------------------------------------------
	 AddProj()
	---------------------------------------------------------------------------
	 Form to add new task for phase
	---------------------------------------------------------------------------   
    */ 
        
    {
?>
    <div id="formContainer">
    <form  method="post" enctype="application/x-www-form-urlencoded" class="form-horizontal" role="form">
    <?php awsCore::getFormHeader('Project Activity', 'Add New Project', false, false); ?>
          <div class="form-group">
            <label for="txtProjCode" class="col-sm-3 control-label">Project Code</label>
            <div class="col-sm-2">
              <input type="text" class="form-control" id="txtProjCode" name="txtProjCode" placeholder="Code" readonly="readonly">
            </div>
          </div>
          <div class="form-group">
            <label for="txtProjTitle" class="col-sm-3 control-label">Project Title :</label>
            <div class="col-sm-6">
              <input type="text" class="form-control" id="txtProjTitle" name="txtProjTitle" placeholder="Title Of Project">
            </div>
          </div>
          <div class="form-group">
            <label for="txtPDO" class="col-sm-3 control-label">Project Development Objectives :</label>
            <div class="col-sm-6">
                <textarea name="txtPDO" id="txtPDO" placeholder="Project Development Objectives" class="form-control" rows="3"></textarea>
            </div>
          </div>
          <div class="form-group">
            <label for="txtProjAmount" class="col-sm-3 control-label">Project Amount :</label>
            <div class="col-sm-4">
              <input type="number" class="form-control" id="txtProjAmount" name="txtProjAmount" placeholder="Project Amount">
            </div>
          </div>
          <div style="clear:both; width:70%; margin:0">
            <hr/>
          </div>
          <div class="form-group">
            <label for="cboContractor" class="col-sm-3 control-label">Implementing Agency :</label>
            <div class="col-sm-4">
              <select name="cboProjContractor" id="cboProjContractor" class="form-control"></select>
            </div>
          </div>
          <div class="form-group">
            <label for="txtProjContact" class="col-sm-3 control-label">Contact :</label>
            <div class="col-sm-4">
              <input type="text" class="form-control" id="txtProjContact" name="txtProjContact" placeholder="Contact">
            </div>
          </div>
          <div class="form-group">
            <label for="cboProjStatus" class="col-sm-3 control-label">Project Status :</label>
            <div class="col-sm-4">
              <select name="cboProjStatus" id="cboProjStatus" class="form-control"></select>
            </div>
          </div>
          <div class="form-group">
            <label for="cboProjType" class="col-sm-3 control-label">Project Type:</label>
            <div class="col-sm-4">
              <select name="cboProjType" id="cboProjType" class="form-control"></select>
            </div>
          </div>
          <div style="clear:both; width:70%; margin:0">
            <hr/>
          </div>
          <div class="form-group">
            <label for="dateApproval" class="col-sm-3 control-label">Approval Date :</label>
            <div class="col-sm-3">
              <input type="date" class="form-control" id="dateApproval" name="dateApproval" placeholder="Approved Date">
            </div>
          </div>
          <div class="form-group">
            <label for="dateEffective" class="col-sm-3 control-label">Effectiveness Date :</label>
            <div class="col-sm-3">
              <input type="date" class="form-control" id="dateEffective" name="dateEffective" placeholder="Effectiveness Date">
            </div>
          </div>
          <div class="form-group">
            <label for="dateClosing" class="col-sm-3 control-label">Closing Date :</label>
            <div class="col-sm-3">
              <input type="date" class="form-control" id="dateClosing" name="dateClosing" placeholder="Closing Date">
            </div>
          </div>
          <div style="clear:both; width:70%; margin:0">
            <hr/>
          </div>
          <div class="form-group">
            <label for="txtProjSummary" class="col-sm-3 control-label">Project Summary :</label>
            <div class="col-sm-6">
                <textarea name="txtProjSummary" id="txtProjSummary" placeholder="Project Summary and Remarks" class="form-control" rows="3"></textarea>
            </div>
          </div>
    </form>
    </div>
        
<?php      
    }
    
    
    public static function detailProject()
    /*
	---------------------------------------------------------------------------
	 detailProject()
	---------------------------------------------------------------------------
	 Give detail of project
	---------------------------------------------------------------------------   
    */ 
    {
?>   
    <div id="formContainer">
    <form  method="post" enctype="application/x-www-form-urlencoded" class="form-horizontal" role="form">
    <?php awsCore::getFormHeader('Project Activity', 'Add New Project', false, false); ?>
    <div class="panel-group">
      <div class="panel panel-default panel-primary">
        <div class="panel-heading">
            <h4 class="panel-title">Project Snapshot</h4>
        </div>
        <div>
          <div class="panel-body">
            <div class="row">

            </div>
          </div>
          </div>
      </div>
      <div class="panel panel-default panel-primary">
        <div class="panel-heading">
            <h4 class="panel-title">Project Information</h4>
        </div>
        <div>
          <div class="panel-body">
            <div class="row">

            </div>
          </div>
          </div>
        </div>
    </div>
    </form>
    </div>
<?php
    }
}
?>