<?php

// ---- library references
include_once('../library/framework/awsDB.inc.php');
include_once('../library/framework/awsCore.inc.php');


class project extends awsDB 
{
	public $sProjCode, $sProjTitle, $sProjPdo, $sProjAmount, $sImpAgency, $sProjStatus, 
            $sProjType, $sApprovalDate, $sEffectiveDate, $sClosingDate, $sProjSummary, 
            $sProjLocation, $currentUser, $currentDate;
    
    private $sConName, $sConDesc, $sConFirstName, $sConLastName, $sConAddress, $iConCity,
            $iConCountry, $sConMobile, $sConTelephone, $sConEmail;
    
	
	function _construct()
	{
		$this->currentUser = 'admin';
		$this->currentDate = date("F j, Y");	
	}
	
	

	public function Save($action, $mod='project')
	/*
  	------------------------------------------------------------------------
	 Save()
  	------------------------------------------------------------------------
	 Validates the form and saves/edits the event.
	 @return mixed TRUE on success, an error message on failure
	------------------------------------------------------------------------
    */
	{
		// ---- retrieve form values
        $this->sanitizeInput();
        
        $this->currentUser = 'admin';
		$this->currentDate = date("F j, Y");
        
        $insert = '';
        $iParam = array();
        
		switch($mod)
        {
            case 'project':
            
            $insert = "INSERT INTO dwProject(proj_code, proj_title, proj_pdo, proj_amount, imp_agency_id_fk, status_id_fk, 
                        type_id_fk, approval_date, effectiveness_date, closing_date, proj_summary) VALUES (?,?,?,?,?,?,?,?,?,?,?)";
            
		    $iParam = array('sssdiiissss', $this->sProjCode, $this->sProjTitle, $this->sProjPdo, $this->sProjAmount, 
                         $this->sImpAgency, $this->sProjStatus, $this->sProjType, $this->sApprovalDate, $this->sEffectiveDate,
                        $this->sClosingDate, $this->sProjSummary);
            break;
            
            case 'phase':
            
            $insert = "INSERT INTO dwProjectPhase(phase_code, proj_code_fk, phase_desc, start_date, end_date, supervisor_id_fk,         
                        phase_status_fk, remarks, phase_delivery_rate, created_by, created_date) VALUES (?,?,?,?,?,?,?,?,?,?,?)";
            
            $iParam = array('sssssissdss', $this->sPhaseCode, $this->sProjCode, $this->sPhaseDesc, $this->sStartDate, $sEndDate, 
                            $sSupervisor, $sPhaseStatus, $sRemarks, $sPhaseDeliveryRate, $this->currentUser, $this->currentDate);
            break;
            
            case 'task':
            
            $insert = "INSERT INTO dwProjectTask(task_code, task_title, task_desc, start_date, end_date, status_id_fk, delivery_rate, 
                    task_remark, created_by, created_date) VALUES (?,?,?,?,?,?,?,?,?,?)";
            
            $iParam = array('sssssiisss', $this->sTaskCode, $this->sTastTitle, $this->sTaskDesc, $this->sStartDate, $this->sEndDate, 
                            $this->sStatus, $this->sDeliveryRate, $this->sTaskRemark, $this->currentUser, $this->currentDate);
            break;
            
            case 'contractor':
            
            $insert = "INSERT INTO stContractor(contr_name, contr_desc, first_name, last_name, address, city_id_fk,             
                      country_id_fk, mobile, telephone, email, created_by, created_date) 
                      VALUES (?,?,?,?,?,?,?,?,?,?,?,?)";
            
            $iParam = array('sssssiisssss', $this->sConName, $sConDesc, $sConFirstName, $sConLastName, $sConAddress,
                           $iConCity, $iConCountry, $sConMobile, $sConTelephone, $sConEmail,  $this->currentUser, $this->currentDate);
            break;
        }
        

        
		if ($action == 'insert')
		{
			$s = parent::executeQuery($insert, $iParam);	
			
			if(!$s){awsCore::successMessage('Problem Occurred in update. Please contact system administrator!');}
			if($s){awsCore::successMessage('Information has been successfully saved!');}
		}
	}
	
	
	public function listRecord($id = '')
	/*
  	------------------------------------------------------------------------
	 listRecord()
  	------------------------------------------------------------------------
	 list all the records in the database.
	------------------------------------------------------------------------
    */
	{
        
        $q = "SELECT * FROM dwProject WHERE proj_code = '$id'";
        $order = " ORDER BY 1";
		
		if ($id != '')
		{	
			$st = awsDB::fetchRowAssoc($q);
			$this->GetData($st);
		}
		else
		{
			// --- generate and execute query
			$s = awsCore::getQuery('LIST_PROJECT');
			$q = $s.$order;	
			$st = awsDB::fetchArrayAssoc($q);
			
			// --- display html table
			awsCore::array2table($st);
		}
	} // --- end of listRecords
	

    
	
	protected function GetData($row)
	{
		$this->sProjCode = parent::cleanDataRead($row['proj_code']);
		$this->sProjTitle = parent::cleanDataRead($row['proj_title']);
		$this->sProjPdo = parent::cleanDataRead($row['proj_pdo']);
		$this->sProjAmount = parent::cleanDataRead($row['proj_amount']);
		$this->sImpAgency = parent::cleanDataRead($row['imp_agency_id_fk']);
		$this->sProjStatus = parent::cleanDataRead($row['status_id_fk']);
		$this->sProjType = parent::cleanDataRead($row['type_id_fk']);
		$this->sApprovalDate = parent::cleanDataRead($row['approval_date']);
		$this->sEffectiveDate = parent::cleanDataRead($row['effectiveness_date']);
		$this->sClosingDate = parent::cleanDataRead($row['closing_date']);
		$this->sProjSummary= parent::cleanDataRead($row['proj_summary']);
	}
	
	


	private function sanitizeInput()
	{
        try
        {
            if (isset($_POST['txtProjCode'])) { $this->sProjCode = parent::cleanInput($_POST['txtProjCode']); } 
            if (isset($_POST['txtProjTitle'])) { $this->sProjTitle = parent::cleanInput($_POST['txtProjTitle']); } 
            if (isset($_POST['txtProjDO'])) { $this->sProjPdo = parent::cleanInput($_POST['txtProjDO']); } 
            if (isset($_POST['txtProjAmount'])) { $this->sProjAmount = parent::cleanInput($_POST['txtProjAmount']); } 
            if (isset($_POST['cboImpAgency'])) { $this->sImpAgency = parent::cleanInput($_POST['cboImpAgency']); } 
            if (isset($_POST['txtProjContact'])) { $this->sProjContact = parent::cleanInput($_POST['txtProjContact']); }
            if (isset($_POST['cboProjStatus'])) { $this->sProjStatus = parent::cleanInput($_POST['cboProjStatus']); } 
            if (isset($_POST['cboProjType'])) { $this->sProjType = parent::cleanInput($_POST['cboProjType']); } 
            if (isset($_POST['dateApproval'])) { $this->sApprovalDate = parent::cleanInput($_POST['dateApproval']); } 
            if (isset($_POST['dateEffective'])) { $this->sEffectiveDate = parent::cleanInput($_POST['dateEffective']); } 
            if (isset($_POST['dateClosing'])) { $this->sClosingDate = parent::cleanInput($_POST['dateClosing']); } 
            if (isset($_POST['txtProjSummary'])) { $this->sProjSummary = parent::cleanInput($_POST['txtProjSummary']); } 
        }
        catch (Exception $e)
        {
            print $e->message();
        }
	} // --- end of sanitize input
}
	

?>