<?php

function GetScript ($action, $module = 'inventory', $filter = '')
{
	if ($module == 'inventory')
	{
		switch($action)
		{
            case 'LIST_PROJECT':
                $q = "SELECT CONCAT('<a href=index.php?action=edit&id=',a.proj_code ,'>', a.proj_title, '</a>') as 'PROJECT TITLE', 
                c.project_type as 'PROJECT TYPE', DATE_FORMAT(a.approval_date, '%d %b %y') as 'APPROVAL DATE', 
                DATE_FORMAT(a.effectiveness_date, '%d %b %y') as 'EFFECTIVENESS DATE', b.status as 'PROJECT STATUS' 
                FROM dwProject a INNER JOIN stProjectStatus b 
                ON a.status_id_fk = b.rowid INNER JOIN stProjectType c ON a.type_id_fk = c.rowid ";
                return $q;
                break;
            case 'PROJECT_STATUS':
                $q = "SELECT * FROM stProjectStatus";
                return $q;
                break;
            case 'PROJECT_TYPE':
                $q = "SELECT * FROM stProjectType";
                return $q;
                break;
			case 'ITEM_CATEGORY':
				$q = "SELECT CODE_ROWID, RAW_VALUE  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'ITEM_CATEGORY' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
			case 'SUB_CATEGORY':
				$q = "SELECT CODE_ROWID, UPPER(RAW_VALUE) AS 'RAW_VALUE' FROM SDS_CONFIG.dbo.LOOKUP_CODES COD 
					  JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON FLD.FIELD_ROWID = COD.FIELD_ROWID_FK  WHERE FLD.FIELD_NAME = 'ITEM_SUB_CATEGORY' 
					  AND ACTIVE = 1 ";
				return $q.$filter;
				break;
			case 'COMPANY_TYPE':
				$q = "SELECT CODE_ROWID, RAW_VALUE  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'COMPANY_TYPE' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
			case 'COUNTRY':
				$q = "SELECT CODE_ROWID, UPPER(RAW_VALUE) AS 'RAW_VALUE'  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'COUNTRY' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
			case 'CITY':
				$q = "SELECT CODE_ROWID, UPPER(RAW_VALUE) AS 'RAW_VALUE'  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'CITY' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
			case 'CURRENCY':
				$q = "SELECT CODE_ROWID, UPPER(RAW_VALUE) AS 'RAW_VALUE'  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'CURRENCY' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
			case 'GET_PO_ROWID':
				$q = "SELECT PO_ROWID FROM SC_PURCHASE_ORDER ";
				return $q.$filter;
				break;
			case 'GET_TAX_RATE':
				$q = "SELECT RAW_VALUE AS 'TAX_RATE'  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON FLD.FIELD_ROWID = COD.FIELD_ROWID_FK 
						 WHERE FLD.FIELD_NAME = 'TAX_RATE' ";
				return $q.$filter;
				break;
			case 'INDUSTRY_TYPE':
				$q = "SELECT CODE_ROWID, RAW_VALUE  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'INDUSTRY_TYPE' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
			case 'LIST_STATUS':
				$q = "SELECT * FROM WO_Status";
				return $q;
				break;
			case 'LIST_INVENTORY':
				$q = "SELECT * FROM VW_INV_LIST_INVENTORY";
				return $q;
				break;
			case 'ORDER_ITEMS_BY_ORDER_CODE':
				$q= "SELECT SC_ORDER_ITEM.ORDER_ITEM_CODE AS [Item Code], SC_INVENTORY_ITEM.ITEM_DESC AS Description, SC_ORDER_ITEM.NOTES AS Notes, 
					SC_ORDER_ITEM.QTY_ON_ORDER AS Qty, SC_ORDER_ITEM.TAX_AMOUNT AS Tax, SC_ORDER_ITEM.UNIT_COST AS Cost, SC_ORDER_ITEM.TOTAL_PRICE AS Total 
					FROM SC_ORDER_ITEM INNER JOIN SC_INVENTORY_ITEM ON SC_ORDER_ITEM.ITEM_ROWID_FK = SC_INVENTORY_ITEM.ITEM_ROWID";
				return $q.$filter;
				break;
			case 'LK_INVENTORY_ITEM':
				$q = "SELECT ITEM_ROWID, RTRIM(ITEM_CODE) + ' - ' + ITEM_DESC AS 'ITEM_NAME' FROM SC_INVENTORY_ITEM ORDER BY 2";
				return $q;
				break;
			case 'LK_TAX':
				$q = "SELECT CODE_ROWID, UPPER(RAW_VALUE) AS 'RAW_VALUE'  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'TAX' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
			case 'SUPPLIER':
				$q = "SELECT COMPANY_ROWID, COMPANY_NAME FROM SC_COMPANY WHERE COMPANY_TYPE_ROWID_FK = 2008 ORDER BY 2 DESC";
				return $q;
				break;
			case 'UOM':
				$q = "SELECT CODE_ROWID, UPPER(RAW_VALUE) AS 'RAW_VALUE'  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'UNIT_OF_MEASUREMENT' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
			case 'MEASUREMENT_UNIT':
				$q = "SELECT CODE_ROWID, UPPER(RAW_VALUE) AS 'RAW_VALUE'  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'MEASUREMENT_UNIT' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
			case 'ORDER_STATUS':
				$q = "SELECT CODE_ROWID, UPPER(RAW_VALUE) AS 'RAW_VALUE'  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'ORDER_STATUS' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
			case 'PAYMENT_TERM':
				$q = "SELECT CODE_ROWID, UPPER(RAW_VALUE) AS 'RAW_VALUE'  FROM SDS_CONFIG.dbo.LOOKUP_CODES COD JOIN SDS_CONFIG.dbo.LOOKUP_FIELD FLD ON 
				      FLD.FIELD_ROWID = COD.FIELD_ROWID_FK WHERE FLD.FIELD_NAME = 'PAYMENT_TERM' AND ACTIVE = 1 ORDER BY 2";
				return $q;
				break;
		}
	}
	else if ($module == 'drillhole')
	{
		switch ($action)
		{
			case 'PROJECT-HOLEID':
				$q = "SELECT HOLE_ROWID as rowid, HOLE_ID as rowvalue FROM DH_DRILLHOLE ".$filter." ORDER BY 2";
				return $q;
				break;
			case 'COORDINATE_SYSTEM':
				$q = "SELECT VALUE, DESCRIPTION FROM STD_COORDINATE_SYSTEM WHERE COORDINATE_SYSTEM_ROWID IN 
					 (SELECT SOURCE_PTR_ROWID FROM DB_FILTER_SET_ITEMS WHERE FILTER_SET_ROWID_FK = 2) ORDER BY 2";
				return $q;
				break;
			case 'COORDINATE_METHOD':
				$q = "SELECT COORDINATE_METHOD,COORDINATE_METHOD FROM STD_COORDINATE_METHOD ORDER BY 1";
				return $q;
				break;
			case 'COLLAR':
			 	$q = "SELECT HOLE_ROWID as rowid FROM DH_DRILLHOLE ".$filter;
				return $q;
				break;
		}
	}	
}

function getHoleRowId ($holeid)
/*
  ------------------------------------------------------------------------
   getHoleRowid()
  ------------------------------------------------------------------------
   returns the HoleRowID of specified HoleID
   @param $holeid string holeid of hole.
   return hole_rowid int retruns the hole_rowid of the hole. 
  ------------------------------------------------------------------------
*/
{
	$filter = "WHERE HOLE_ID = '".$holeid."'"; 						// --- build filter string.
	
	$q = GetScript('COLLAR','drillhole', $filter);					// --- build query string.
	
	$result = appDB::executeScalar($q);								// --- execute query.
	
	return $result;
}
?>